import java.util.Vector;

public class Boxing1{

	public static void main(String[] args){
		Vector v = new Vector(10);
		double d1 = 1.5;
		double d2 = 2.5;
		
		// Das ging bis Java5 nicht automatisch, da Vector
		// keine primitiven Datentypen sondern nur Objekte
		// speichert!
		// v.add(d1);
		// v.add(d2);

		// Loesung bis Java5: Wrapperklassen manuell verwenden!
		// Double ist eine Wrapper-Klasse und kapselt den pri-
		// mitiven Datentyp 'double' in einem unveraenderbaren Objekt!
		Double D1 = new Double(d1);
		Double D2 = new Double(d2);

		// Den primitiven Wert von D1 auslesen und an d3 zuweisen.
		// Ging bis Java5 ebenfalls nicht automatisch
		// double d3 = D1;
		double d3 = D1.doubleValue();

		// Wrapper-Objekte in den Vector aufnehmen.
		v.add(D1);
		v.add(D2);

		// Alle Elemente des Vectors ausgeben
		for(int i=0; i<v.size(); ++i){
			Double value = (Double)v.elementAt(i);
			System.out.println("Wert: "+value.doubleValue());
		}
	}
}
