import java.util.Vector;

public class ForEach{

	public static void main(String[] args){
		// Typisierter Vector s. Generics?.java
		Vector<Integer> v = new Vector<Integer>(10);	

		// AutoBoxing s. Boxing?.java
		v.add(1);
		v.add(2);
		v.add(3);
		v.add(4);

		// Möglichkeit zur Ausgabe aller Elemente bis Java5
		for(int i=0; i<v.size(); ++i){
			Integer value = v.elementAt(i);
			System.out.println("Wert: "+value.intValue());
		}

		System.out.println("-------");

		// for-each Schleife ab Java5
		// -> Fuer alle Integer im Vector v
		// value ist die lokale Referenz auf den aktuellen Wert in v
		for(Integer value : v){
			System.out.println("Wert: "+value.intValue());
		}
	}
}
