import java.util.Vector;

public class Generics2{

	public static void main(String[] args){
		// Verwendung von Container-Datenstrukturen bis Java5
		// Als Datentyp wurde Object erwartet (add()) und auch 
		// zurueckgegeben (elementAt()), d.h. es konnte alles
		// gespeichert werden! Dadurch waren die Container
		// wiederverwendbar.
		Vector v = new Vector(10);

		// Hinzufuegen von Integer-Objekten
		// Integer ist eine Wrapper-Klasse und kapselt den pri-
		// mitiven Datentyp int in einem unveraenderbaren Objekt!
		v.add(new Integer(1));
		v.add(new Integer(2));
		v.add(new Integer(3));

		// Hinzufuegen eines String-Objektes
		// Ist moeglich, da add() Object erwartet und alles von
		// Object abgeleitet ist.
		v.add("Hallo Welt");
		
		for(int i=0; i<v.size(); ++i){
			// Hier tritt jetzt ein Fehler auf, da die Typumwandlung 
			// bzw. die Typzusicherung beim letzten Wert (String)
			// nicht mehr funktioniert!
			// -> Sehr Fehleranfaellig und erst zur Laufzeit zu erkennen!
			Integer value = (Integer)v.elementAt(i);
			// Ausgeben des Wertes des primitiven Typs
			System.out.println("Wert: "+value.intValue());
		}
	}
}
