import java.util.Vector;

public class Generics3{

	public static void main(String[] args){
		// Verwendung von Container-Datenstrukturen ab Java5
		// Der Container wird typisiert, d.h. der Compiler
		// kann pruefen, ob dieser Typ auch eingehalten wird.
		// Hier soll der Vector nur Elemente vom Typ Integer
		// aufnehmen.
		Vector<Integer> v = new Vector<Integer>(10);

		// Hinzufuegen von Integer-Objekten
		// Integer ist eine Wrapper-Klasse und kapselt den pri-
		// mitiven Datentyp int in einem unveraenderbaren Objekt!
		v.add(new Integer(1));
		v.add(new Integer(2));
		v.add(new Integer(3));

		// Hinzufuegen eines String-Objektes
		// Ist nicht moeglich, da add() jetzt Integer erwartet
		// v.add("Hallo Welt");
		
		for(int i=0; i<v.size(); ++i){
			// Der Vector liefert jetzt direkt ein Integer-
			// Objekt zurück, d.h. es ist keine Umwandlung
			// mehr erforderlich.
			Integer value = v.elementAt(i);
			// Ausgeben des Wertes des primitiven Typs
			System.out.println("Wert: "+value.intValue());
		}
	}
}
